Subject: bug#4994: 23.1.50; reftex-isearch-minor-mode does not restore to the original point

From: Juri Linkov <[email-masked]>
Date: Mon, 07 Dec 2009 19:30:31 +0200

> 1. (reftex-isearch-minor-mode t)
>
> 2. now search a string in a LaTeX project that is split (via \input
> or \include) into many files
>
> 3. C-g to quit
>
> and you will see point can be left in a new buffer.
>
> For example, from the master file I initialised an isearch and when the
> point jumped to chap1.tex, I hit C-g. Point was left in chap1.tex
> instead of the original buffer where the command started.
>
> I am surprised by this behaviour so I'm wondering whether this is a bug.

This is fixed now in CVS.  Please try the fix.

Thank you for reporting the bug.

-- 
Juri Linkov
http://www.jurta.org/emacs/